Bug 8622 - Bad license
Summary: Bad license
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ircii (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-19 17:30 UTC by Donnie Barnes
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-24 18:10:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Donnie Barnes 2000-01-19 17:30:00 UTC
Even if we decide to ship it, we should put doc/Copyright into
/usr/doc/ircii*.

That said, the license doesn't look good to me as far as RHL is concerned.
Normally we require all code to be modifiable and redistributable in
modified form to qualify for RHL.  That isn't the case.  Recommendation:
Move to PowerTools.

(The offensive part is the first paragraph.)

License:
IRC II is copyright (c) 1990 by Michael Sandrof.  You have the
right to copy, compile, and maintain this software.  You also
have the right to make modifcations to this code for local use
only.

Version 2.1.1 to 2.2pre7 are Copyright 1991, 1992 Troy Rollo.

Versions 2.2pre8 and above are copyright (c) 1992, 1993, 1994,
1995, 1996 and 1997 matthew green.  Any modifications to this
code may be redistributed with this copyright attached.

One module of the source code, scandir.c is copyright (c) 1983
by the Regents of the University of California, with modifications
by various contributors.  All rights are reserved by the
University of California.

This software is provided ``as is'' and without any express or
implied warranties, including, without limitation, the implied
warranties of merchantibility and fitness for a particular
purpose.

Comment 1 Erik Troan 2000-02-24 18:10:59 UTC
Fixed by msw


Note You need to log in before you can comment on or make changes to this bug.